Schema "xmldsig-core-schema.xsd"
Target Namespace:

  http://www.w3.org/2000/09/xmldsig#

Version:

  0.1

Defined Components:

  24 global elements, 22 local elements, 22 complexTypes, 3 simpleTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\xmldsig-core-schema.xsd; see XML source

Imported by Schema:

  fpml-msg-5-3.xsd [src]

All Element Summary
ds:CanonicalizationMethod |
Type: | ds:CanonicalizationMethodType
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:DigestMethod |
Type: | ds:DigestMethodType
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:DigestValue |
Type: | ds:DigestValueType
Content: | simple
Defined: | globally; see XML source
Used: | at 1 location
ds:DSAKeyValue |
Type: | ds:DSAKeyValueType
Content: | complex, 7 elements
Defined: | globally; see XML source
Used: | at 1 location
ds:Exponent |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:RSAKeyValueType complexType; see XML source
ds:G |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:HMACOutputLength |
Type: | ds:HMACOutputLengthType
Content: | simple
Defined: | locally witnin ds:SignatureMethodType complexType; see XML source
ds:J |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:KeyInfo |
Type: | ds:KeyInfoType
Content: | mixed (allows character data), 1 attribute, 7 elements, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:KeyName |
Type: | string
Content: | simple
Defined: | globally; see XML source
Used: | at 1 location
ds:KeyValue |
Type: | ds:KeyValueType
Content: | mixed (allows character data), 2 elements, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:Manifest |
Type: | ds:ManifestType
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Used: | never
ds:MgmtData |
Type: | string
Content: | simple
Defined: | globally; see XML source
Used: | at 1 location
ds:Modulus |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:RSAKeyValueType complexType; see XML source
ds:Object |
Type: | ds:ObjectType
Content: | mixed (allows character data), 3 attributes, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:P |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:PgenCounter |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:PGPData |
Type: | ds:PGPDataType
Content: | complex, 3 elements, 2 elem. wildcards
Defined: | globally; see XML source
Used: | at 1 location
ds:PGPKeyID |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType; see XML source
ds:PGPKeyPacket (in ds:PGPData) |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType; see XML source
ds:PGPKeyPacket (in ds:PGPData) |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:PGPDataType complexType; see XML source
ds:Q |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:Reference |
Type: | ds:ReferenceType
Content: | complex, 3 attributes, 3 elements
Defined: | globally; see XML source
Used: | at 2 locations
ds:RetrievalMethod |
Type: | ds:RetrievalMethodType
Content: | complex, 2 attributes, 1 element
Defined: | globally; see XML source
Used: | at 1 location
ds:RSAKeyValue |
Type: | ds:RSAKeyValueType
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 1 location
ds:Seed |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source
ds:Signature |
Type: | ds:SignatureType
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
ds:SignatureMethod |
Type: | ds:SignatureMethodType
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:SignatureProperties |
Type: | ds:SignaturePropertiesType
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Used: | never
ds:SignatureProperty |
Type: | ds:SignaturePropertyType
Content: | mixed (allows character data), 2 attributes, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:SignatureValue |
Type: | ds:SignatureValueType
Content: | simple, 1 attribute
Defined: | globally; see XML source
Used: | at 1 location
ds:SignedInfo |
Type: | ds:SignedInfoType
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
ds:SPKIData |
Type: | ds:SPKIDataType
Content: | complex, 1 element, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:SPKISexp |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:SPKIDataType complexType; see XML source
ds:Transform |
Type: | ds:TransformType
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:Transforms |
Type: | ds:TransformsType
Content: | complex, 1 element
Defined: | globally; see XML source
Used: | at 2 locations
ds:X509Certificate |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType; see XML source
ds:X509CRL |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType; see XML source
ds:X509Data |
Type: | ds:X509DataType
Content: | complex, 5 elements, elem. wildcard
Defined: | globally; see XML source
Used: | at 1 location
ds:X509IssuerName |
Type: | string
Content: | simple
Defined: | locally witnin ds:X509IssuerSerialType complexType; see XML source
ds:X509IssuerSerial |
Type: | ds:X509IssuerSerialType
Content: | complex, 2 elements
Defined: | locally witnin ds:X509DataType complexType; see XML source
ds:X509SerialNumber |
Type: | integer
Content: | simple
Defined: | locally witnin ds:X509IssuerSerialType complexType; see XML source
ds:X509SKI |
Type: | base64Binary
Content: | simple
Defined: | locally witnin ds:X509DataType complexType; see XML source
ds:X509SubjectName |
Type: | string
Content: | simple
Defined: | locally witnin ds:X509DataType complexType; see XML source
ds:XPath |
Type: | string
Content: | simple
Defined: | locally witnin ds:TransformType complexType; see XML source
ds:Y |
Type: | ds:CryptoBinary
Content: | simple
Defined: | locally witnin ds:DSAKeyValueType complexType; see XML source

Complex Type Summary
ds:CanonicalizationMethodType |
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, elem. wildcard
Used: | at 1 location
ds:DigestMethodType |
Content: | mixed (allows character data), 1 attribute, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, elem. wildcard
Used: | at 1 location
ds:DSAKeyValueType |
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
ds:KeyInfoType |
Content: | mixed (allows character data), 1 attribute, 7 elements, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 7 elements, elem. wildcard
Used: | at 1 location
ds:KeyValueType |
Content: | mixed (allows character data), 2 elements, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 2 elements, elem. wildcard
Used: | at 1 location
ds:ManifestType |
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ds:ObjectType |
Content: | mixed (allows character data), 3 attributes, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 3 attributes, elem. wildcard
Used: | at 1 location
ds:PGPDataType |
Content: | complex, 3 elements, 2 elem. wildcards
Defined: | globally; see XML source
Includes: | definitions of 3 elements, 2 elem. wildcards
Used: | at 1 location
ds:ReferenceType |
Content: | complex, 3 attributes, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 attributes, 3 elements
Used: | at 1 location
ds:RetrievalMethodType |
Content: | complex, 2 attributes, 1 element
Defined: | globally; see XML source
Includes: | definitions of 2 attributes, 1 element
Used: | at 1 location
ds:RSAKeyValueType |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ds:SignatureMethodType |
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element, elem. wildcard
Used: | at 1 location
ds:SignaturePropertiesType |
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ds:SignaturePropertyType |
Content: | mixed (allows character data), 2 attributes, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 2 attributes, elem. wildcard
Used: | at 1 location
ds:SignatureType |
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
ds:SignatureValueType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ds:SignedInfoType |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
ds:SPKIDataType |
Content: | complex, 1 element, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 element, elem. wildcard
Used: | at 1 location
ds:TransformsType |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ds:TransformType |
Content: | mixed (allows character data), 1 attribute, 1 element, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element, elem. wildcard
Used: | at 1 location
ds:X509DataType |
Content: | complex, 5 elements, elem. wildcard
Defined: | globally; see XML source
Includes: | definitions of 5 elements, elem. wildcard
Used: | at 1 location
ds:X509IssuerSerialType |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Simple Type Summary
ds:CryptoBinary |
Defined: | globally; see XML source
Used: | at 9 locations
ds:DigestValueType |
Defined: | globally; see XML source
Used: | at 1 location
ds:HMACOutputLengthType |
Defined: | globally; see XML source
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- <!DOCTYPE schema PUBLIC "-//W3C//DTD XMLSchema 200102//EN" "http://www.w3.org/2001/XMLSchema.dtd" [ <!ATTLIST schema xmlns:ds CDATA #FIXED "http://www.w3.org/2000/09/xmldsig#"> <!ENTITY dsig 'http://www.w3.org/2000/09/xmldsig#'> <!ENTITY % p ''> <!ENTITY % s ''> ]> --> <!-- Schema for XML Signatures http://www.w3.org/2000/09/xmldsig# $Revision: 8563 $ on $Date: 2011-10-05 12:17:57 -0400 (Wed, 05 Oct 2011) $ by $Author: iyermakova $ Copyright 2001 The Internet Society and W3C (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/ This document is governed by the W3C Software License [1] as described in the FAQ [2]. [1] http://www.w3.org/Consortium/Legal/copyright-software-19980720 [2] http://www.w3.org/Consortium/Legal/IPR-FAQ-20000620.html#DTD --> <schema elementFormDefault="qualified" targetNamespace="http://www.w3.org/2000/09/xmldsig#" version="0.1" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:ds="http://www.w3.org/2000/09/xmldsig#"> <!-- Basic Types Defined for Signatures --> <simpleType name="CryptoBinary"> <restriction base="base64Binary"/> </simpleType> <!-- Start Signature --> <element name="Signature" type="ds:SignatureType"/> <complexType name="SignatureType"> <sequence> <element ref="ds:SignedInfo"/> <element ref="ds:SignatureValue"/> <element minOccurs="0" ref="ds:KeyInfo"/> <element maxOccurs="unbounded" minOccurs="0" ref="ds:Object"/> </sequence> <attribute name="Id" type="ID" use="optional"/> </complexType> <element name="SignatureValue" type="ds:SignatureValueType"/> <complexType name="SignatureValueType"> <simpleContent> <extension base="base64Binary"> <attribute name="Id" type="ID" use="optional"/> </extension> </simpleContent> </complexType> <!-- Start SignedInfo --> <element name="SignedInfo" type="ds:SignedInfoType"/> <complexType name="SignedInfoType"> <sequence> <element ref="ds:CanonicalizationMethod"/> <element ref="ds:SignatureMethod"/> <element maxOccurs="unbounded" ref="ds:Reference"/> </sequence> <attribute name="Id" type="ID" use="optional"/> </complexType> <element name="CanonicalizationMethod" type="ds:CanonicalizationMethodType"/> <complexType mixed="true" name="CanonicalizationMethodType"> <sequence> <any maxOccurs="unbounded" minOccurs="0" namespace="##any"/> <!-- (0,unbounded) elements from (1,1) namespace --> </sequence> <attribute name="Algorithm" type="anyURI" use="required"/> </complexType> <element name="SignatureMethod" type="ds:SignatureMethodType"/> <complexType mixed="true" name="SignatureMethodType"> <sequence> <element minOccurs="0" name="HMACOutputLength" type="ds:HMACOutputLengthType"/> <any maxOccurs="unbounded" minOccurs="0" namespace="##other"/> <!-- (0,unbounded) elements from (1,1) external namespace --> </sequence> <attribute name="Algorithm" type="anyURI" use="required"/> </complexType> <!-- Start Reference --> <element name="Reference" type="ds:ReferenceType"/> <complexType name="ReferenceType"> <sequence> <element minOccurs="0" ref="ds:Transforms"/> <element ref="ds:DigestMethod"/> <element ref="ds:DigestValue"/> </sequence> <attribute name="Id" type="ID" use="optional"/> <attribute name="URI" type="anyURI" use="optional"/> <attribute name="Type" type="anyURI" use="optional"/> </complexType> <element name="Transforms" type="ds:TransformsType"/> <complexType name="TransformsType"> <sequence> <element maxOccurs="unbounded" ref="ds:Transform"/> </sequence> </complexType> <element name="Transform" type="ds:TransformType"/> <complexType mixed="true" name="TransformType"> <choice maxOccurs="unbounded" minOccurs="0"> <any namespace="##other" processContents="lax"/> <!-- (1,1) elements from (0,unbounded) namespaces --> <element name="XPath" type="string"/> </choice> <attribute name="Algorithm" type="anyURI" use="required"/> </complexType> <!-- End Reference --> <element name="DigestMethod" type="ds:DigestMethodType"/> <complexType mixed="true" name="DigestMethodType"> <sequence> <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/> </sequence> <attribute name="Algorithm" type="anyURI" use="required"/> </complexType> <element name="DigestValue" type="ds:DigestValueType"/> <simpleType name="DigestValueType"> <restriction base="base64Binary"/> </simpleType> <!-- End SignedInfo --> <!-- Start KeyInfo --> <element name="KeyInfo" type="ds:KeyInfoType"/> <complexType mixed="true" name="KeyInfoType"> <choice maxOccurs="unbounded"> <element ref="ds:KeyName"/> <element ref="ds:KeyValue"/> <element ref="ds:RetrievalMethod"/> <element ref="ds:X509Data"/> <element ref="ds:PGPData"/> <element ref="ds:SPKIData"/> <element ref="ds:MgmtData"/> <any namespace="##other" processContents="lax"/> <!-- (1,1) elements from (0,unbounded) namespaces --> </choice> <attribute name="Id" type="ID" use="optional"/> </complexType> <element name="KeyName" type="string"/> <element name="MgmtData" type="string"/> <element name="KeyValue" type="ds:KeyValueType"/> <complexType mixed="true" name="KeyValueType"> <choice> <element ref="ds:DSAKeyValue"/> <element ref="ds:RSAKeyValue"/> <any namespace="##other" processContents="lax"/> </choice> </complexType> <element name="RetrievalMethod" type="ds:RetrievalMethodType"/> <complexType name="RetrievalMethodType"> <sequence> <element minOccurs="0" ref="ds:Transforms"/> </sequence> <attribute name="URI" type="anyURI"/> <attribute name="Type" type="anyURI" use="optional"/> </complexType> <!-- Start X509Data --> <element name="X509Data" type="ds:X509DataType"/> <complexType name="X509DataType"> <sequence maxOccurs="unbounded"> <choice> <element name="X509IssuerSerial" type="ds:X509IssuerSerialType"/> <element name="X509SKI" type="base64Binary"/> <element name="X509SubjectName" type="string"/> <element name="X509Certificate" type="base64Binary"/> <element name="X509CRL" type="base64Binary"/> <any namespace="##other" processContents="lax"/> </choice> </sequence> </complexType> <complexType name="X509IssuerSerialType"> <sequence> <element name="X509IssuerName" type="string"/> <element name="X509SerialNumber" type="integer"/> </sequence> </complexType> <!-- End X509Data --> <!-- Begin PGPData --> <element name="PGPData" type="ds:PGPDataType"/> <complexType name="PGPDataType"> <choice> <sequence> <element name="PGPKeyID" type="base64Binary"/> <element minOccurs="0" name="PGPKeyPacket" type="base64Binary"/> <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/> </sequence> <sequence> <element name="PGPKeyPacket" type="base64Binary"/> <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/> </sequence> </choice> </complexType> <!-- End PGPData --> <!-- Begin SPKIData --> <element name="SPKIData" type="ds:SPKIDataType"/> <complexType name="SPKIDataType"> <sequence maxOccurs="unbounded"> <element name="SPKISexp" type="base64Binary"/> <any minOccurs="0" namespace="##other" processContents="lax"/> </sequence> </complexType> <!-- End SPKIData --> <!-- End KeyInfo --> <!-- Start Object (Manifest, SignatureProperty) --> <element name="Object" type="ds:ObjectType"/> <complexType mixed="true" name="ObjectType"> <sequence maxOccurs="unbounded" minOccurs="0"> <any namespace="##any" processContents="lax"/> </sequence> <attribute name="Id" type="ID" use="optional"/> <attribute name="MimeType" type="string" use="optional"/> <attribute name="Encoding" type="anyURI" use="optional"/> <!-- add a grep facet --> </complexType> <element name="Manifest" type="ds:ManifestType"/> <complexType name="ManifestType"> <sequence> <element maxOccurs="unbounded" ref="ds:Reference"/> </sequence> <attribute name="Id" type="ID" use="optional"/> </complexType> <element name="SignatureProperties" type="ds:SignaturePropertiesType"/> <complexType name="SignaturePropertiesType"> <sequence> <element maxOccurs="unbounded" ref="ds:SignatureProperty"/> </sequence> <attribute name="Id" type="ID" use="optional"/> </complexType> <element name="SignatureProperty" type="ds:SignaturePropertyType"/> <complexType mixed="true" name="SignaturePropertyType"> <choice maxOccurs="unbounded"> <any namespace="##other" processContents="lax"/> <!-- (1,1) elements from (1,unbounded) namespaces --> </choice> <attribute name="Target" type="anyURI" use="required"/> <attribute name="Id" type="ID" use="optional"/> </complexType> <!-- End Object (Manifest, SignatureProperty) --> <!-- Start Algorithm Parameters --> <simpleType name="HMACOutputLengthType"> <restriction base="integer"/> </simpleType> <!-- Start KeyValue Element-types --> <element name="DSAKeyValue" type="ds:DSAKeyValueType"/> <complexType name="DSAKeyValueType"> <sequence> <sequence minOccurs="0"> <element name="P" type="ds:CryptoBinary"/> <element name="Q" type="ds:CryptoBinary"/> </sequence> <element minOccurs="0" name="G" type="ds:CryptoBinary"/> <element name="Y" type="ds:CryptoBinary"/> <element minOccurs="0" name="J" type="ds:CryptoBinary"/> <sequence minOccurs="0"> <element name="Seed" type="ds:CryptoBinary"/> <element name="PgenCounter" type="ds:CryptoBinary"/> </sequence> </sequence> </complexType> <element name="RSAKeyValue" type="ds:RSAKeyValueType"/> <complexType name="RSAKeyValueType"> <sequence> <element name="Modulus" type="ds:CryptoBinary"/> <element name="Exponent" type="ds:CryptoBinary"/> </sequence> </complexType> <!-- End KeyValue Element-types --> <!-- End Signature --> </schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.